%if %{mdkversion} > 1000
%define __libtoolize /bin/true
%endif
%define __cputoolize /bin/true

%define official_branding 1

%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 2
%else
# Old distros
%define subrel 2
%define release %mkrel 0
%endif

%if %{official_branding}
%define title Mozilla Thunderbird
%else
%define title Mail/News
%endif

%define oname thunderbird
%define tbdir %{_libdir}/%{oname}-%{version}
%define tbextdir %{tbdir}-extensions

%define tbextuuid \{847b3a00-7ab1-11d4-8f02-006008948af5\}
%define xpi 0
%define enigmail_version 1.1.2
%define enigmail_short_version 1.1.2

%define _provides_exceptions libgtkembedmoz.so\\|libxpcom.so
%define _requires_exceptions libgtkembedmoz.so\\|libxpcom.so

# FIXME: Bug in nsExtensionManager.js prevents using x86_64 as arch
# FIXME: I tried to modify nsExtensionManager.js.in, but it
# FIXME: complained that I had modified it
%ifarch %{ix86}
%define tbarch x86
%else # ix86
%ifarch x86_64
%if %mdkversion < 200810
%define tbarch amd64
%else # mdkversion
%define tbarch %{_arch}
%endif # mdkversion
%else # x86_64
%define tbarch %{_arch}
%endif # x86_64
%endif # ix86

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)
# this one as well (#59759)
%define nss_libname %mklibname nss 3
%define nss_version %(pkg-config --modversion nss &>/dev/null && pkg-config --modversion nss 2>/dev/null || echo 0)

Name:		mozilla-thunderbird
Version:	3.1.2
Release:	%{release}
Epoch:		0
Summary:	Full-featured email, RSS, and newsgroup client
License:	MPL
Group:		Networking/Mail
URL:		http://www.mozilla.org/projects/thunderbird/
Source0:        http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/source/thunderbird-%{version}.source.tar.bz2
Source1:        http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/source/thunderbird-%{version}.source.tar.bz2.asc
Source12:       mozilla-thunderbird-mandriva-default-prefs.js
Source30:       mozilla-thunderbird-open-browser.sh
Source31:       mozilla-thunderbird-open-browser-xdg.sh
# Mandriva sources (Source300+)
Source300:      http://www.mozilla-enigmail.org/download/source/enigmail-%{enigmail_version}.tar.gz
Source301:      http://www.mozilla-enigmail.org/download/source/enigmail-%{enigmail_version}.tar.gz.asc
Source302:      %{name}-icons.tar.bz2
Source303:      mozilla-thunderbird-unofficial.png
# Language package template
Source400:	mozilla-thunderbird-enigmail-l10n-template.spec
# Build patches
Patch2:         mozilla-firefox-1.0-prdtoa.patch
Patch3:		mozilla-thunderbird-2.0.0.19-fix-str-fmt.patch
# Debian patches (Patch200+)
Patch200:       mozilla-thunderbird-gtk-settings.patch
Patch212:       mozilla-thunderbird-enigmail-ui-content-contents-rdf.patch
Patch213:       mozilla-thunderbird-enigmail-build-package-contents-rdf.patch
Patch215:	mozilla-thunderbird-enigmail-visibility.patch
# Mandriva patches (Patch300+)
Patch300:       mozilla-thunderbird-0.8-progname.patch
Patch301:       mozilla-thunderbird-enigmail-package.patch
Patch302:       mozilla-thunderbird-check-default-mailer.patch
Patch304:       mozilla-thunderbird-run-mozilla.patch
Patch305:	mozilla-thunderbird-2.0b1-x11libs.patch
Patch306:       mozilla-thunderbird-run-mozilla-soundwrapper.patch
# Adds support for config file thunderbird.cfg
Patch310:	thunderbird-2.0b2-configfile.patch
Patch334:	mozilla-thunderbird-2.0.0.22-CVE-2009-XXXX.diff
Patch335:	thunderbird-3.0rc1-format-not-a-string-literal.patch
Patch336:	mozilla-thunderbird-CVE-2009-3560.diff
# OpenSuse patches (Patch400+)
Patch400:	thunderbird-appname.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	autoconf2.1
%if %mdkversion >= 201000
BuildRequires:	cairo-devel >= 1.8.8
%endif
%if %mdkversion >= 200800
Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}
BuildRequires:	libsqlite3-devel >= 3.6.22
%endif
Requires:	%{nss_libname} >= 2:%{nss_version}
BuildRequires:  gtk2-devel
BuildRequires:  gzip
BuildRequires:  libgnome2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  libjpeg-devel
#(tpg) older versions doesn't support apng extension
%if %mdkversion >= 200900
BuildRequires:	libpng-devel >= 1.2.25-2
%endif
BuildRequires:  nspr-devel >= 2:4.8.4
BuildRequires:  nss-devel >= 2:3.12.6
%if %{mdkversion} >= 200700
BuildRequires:  nss-static-devel
%endif
BuildRequires:  unzip
BuildRequires:  zip
BuildRequires:	zlib-devel
BuildRequires:	libIDL-devel
# Needed by xmlterm (not built) and unused enigmail scripts
#BuildRequires:	tcsh
BuildRequires:	freetype2-devel
%if %{mdkversion} >= 200610
BuildRequires:	xft2-devel
BuildRequires:	libxt-devel
%else
BuildRequires:	libXft2-devel
%endif
%if %mdkversion >= 200900
BuildRequires:	hunspell-devel
# fixes bug 46107
%endif
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post):	mktemp
Requires(post): rpm-helper
Requires(postun): rpm-helper
# Integrates thunderbird with xdg-utils.
%if %mdkversion >= 200800
Requires: xdg-utils
%endif
%if %{official_branding}
BuildRequires:	imagemagick
%endif
# Thunderbird 3 requires alsa
BuildRequires:	libalsa-devel
BuildRequires:	python
BuildRequires:	libnotify-devel
BuildRequires:	libiw-devel

%description
%{title} is a full-featured email, RSS and newsgroup client that
makes emailing safer, faster and easier than ever before.

#===============================================================================

%package enigmail
Summary:        Access the authentication and encryption features provided by GnuPG
Group:          Networking/Mail
Requires:       %{name} = %{epoch}:%{version}
Obsoletes:      %{name}-enigmime
Provides:       %{name}-enigmime = %{epoch}:%{version}
Requires:       gnupg
Requires(post): %{name} = %{epoch}:%{version}
Requires(preun): %{name} = %{epoch}:%{version}
Requires(post):	mktemp
Requires(postun): mktemp
# Bug #35180
%if %{mdkversion} >= 200810
Suggests:	pinentry-gtk
%endif

%description enigmail
Enigmail is an extension to the mail client of %{title}
which allows users to access the authentication and encryption
features provided by GnuPG.

Main Features

    * Encrypt/sign mail when sending, decrypt/authenticate received
      mail
    * Support for inline-PGP (RFC 2440) and PGP/MIME (RFC 3156)
    * Per-Account based encryption and signing defaults
    * Per-Recipient rules for automated key selection, and
      enabling/disabling encryption and signing
    * OpenPGP key management interface

#===============================================================================

%package -n nsinstall
Summary:        Netscape portable install command
Group:          Development/Other

%description -n nsinstall
Netscape portable install command.

#===============================================================================
# enigmail-l10n
# Supported l10n language lists
%define l10n_langlist	ar ca cs de el es fi fr hu it ja ko nb nl pl pt pt_BR ru sl sv tr vi zh_CN

# Disabled l10n languages, for any reason
# nl sk es_AR do not support 0.95.0 yet
#define disabled_l10n_langlist	nl sk es_AR ro
%define disabled_l10n_langlist %{nil}

# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs-CZ
%define langname_cs Czech
%define language_de de-DE
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es es-ES
%define langname_es Spanish
%define language_fi fi-FI
%define langname_fi Finnish
%define language_fr fr-FR
%define langname_fr French
%define language_hu hu-HU
%define langname_hu Hungarian
%define language_it it-IT
%define langname_it Italian
%define language_ja ja-JP
%define langname_ja Japanese
%define language_ko ko-KR
%define langname_ko Korean
%define language_nb nb-NO
%define langname_nb Norwegian Bokmaal
%define langname_nl Dutch
%define language_nl nl-NL
%define language_pl pl-PL
%define langname_pl Polish
%define langname_pt Portuguese
%define language_pt pt-PT
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_ro ro-RO
%define langname_ro Romanian
%define language_ru ru-RU
%define langname_ru Russian
%define language_sk sk-SK
%define langname_sk Slovak
%define language_sl sl-SI
%define langname_sl Slovenian
%define language_sv sv-SE
%define langname_sv Swedish
%define language_tr tr-TR
%define langname_tr Turkish
%define language_vi vi-VN
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# All langs
%{expand:%%define langlist %(for lang in %l10n_langlist; do echo "$lang"; done | sort -u | sed ':a;$!N;s/\n/ /;ta')}

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %l10n_langlist; do echo "%%define l10n_$lang 1"; done)}
%{expand:%(for lang in %disabled_l10n_langlist; do echo "%%define l10n_$lang 0"; done)}

# Params
%{expand:%(for lang in %langlist; do echo "%%bcond_without $lang"; done)}

# Locales
%{expand:%(for lang in %l10n_langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/mozilla-thunderbird-enigmail-l10n-template.spec 2> /dev/null)}";\
	done\
	)
}
#===============================================================================

%prep
%setup -q -c -n %{name}-%{version}

#===================
# Thunderbird itself
%setup -q -T -D -n %{name}-%{version}/comm-1.9.2

%patch2 -p0
%patch3 -p0

%patch200 -p1

%patch300 -p0 -b .progname
%patch301 -p1 -b .enigmailpackage
%patch302 -p1 -b .check
%patch304 -p0 -b .run-mozilla
%patch305 -p1 -b .x11libs

#%%if %{mdkversion} < 201000
#%%patch306 -p0 -b .run-mozilla-soundwrapper
#%%endif

%patch310 -p1

%patch334 -p0 -b .CVE-2009-XXXX
%patch335 -p1 -b .literal
%patch336 -p0 -b .CVE-2009-3560

%patch400 -p1 -b .appname

#===============================================================================
# Enigmail
%setup -q -T -D -n %{name}-%{version}/comm-1.9.2/mozilla/extensions -a300
%if 0
%patch212 -p2 -b .enigmail-ui-content-contents-rdf
%patch213 -p2 -b .enigmail-build-package-contents-rdf
%endif
%if %{mdkversion} > 200810
%patch215 -p2 -b .enigmail-visibility
%endif

%if !%{official_branding}
%setup -q -T -D -n %{name}-%{version}/comm-1.9.2 -a302
%endif

%setup -q -T -D -n %{name}-%{version}/comm-1.9.2

#===============================================================================

%build
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1

#(tpg) please see bug #32024
# from fedora: Pragma visibility is broken on most platforms for some reason.
#              See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20297
export ac_cv_visibility_pragma=no

CFLAGS=$(echo %optflags | %{__sed} -e 's/-fexceptions//')
CFLAGS="$CFLAGS -fno-strict-aliasing"
CXXFLAGS="$CFLAGS"
RPM_OPT_FLAGS="$CFLAGS"
export CFLAGS
export CXXFLAGS
export RPM_OPT_FLAGS

autoconf-2.13
%configure2_5x \
    --enable-application=mail \
    --with-system-nspr \
    --with-system-nss \
    --with-system-jpeg \
    --with-system-zlib \
%if %mdkversion >= 200900
    --enable-system-png \
%else
    --disable-system-png \
%endif
    --with-pthreads \
    --disable-tests \
    --disable-debug \
    --disable-installer \
    --enable-xinerama \
    --enable-default-toolkit=cairo-gtk2 \
    --disable-xprint \
    --disable-strip \
    --enable-pango \
%if %mdkversion >= 201000
    --enable-system-cairo \
%else
    --disable-system-cairo \
%endif
    --enable-svg \
    --enable-canvas \
    --enable-crypto \
    --enable-extensions=default,inspector \
    --enable-mathml \
    --enable-system-myspell \
    --disable-crashreporter \
    --enable-static \
    --disable-libxul \
    --disable-dbus \
%if %mdkversion >= 200800
    --enable-system-sqlite \
%else
    --disable-system-sqlite \
%endif
%if %mdkversion >= 200900
    --enable-system-myspell \
%else
    --disable-system-myspell \
%endif
    --enable-official-branding \
    --with-distribution-id=com.mandriva

# Fix ABI for thunderbird and enigmail
%{__perl} -pi -e 's|^TARGET_XPCOM_ABI =.*|TARGET_XPCOM_ABI = %{tbarch}-gcc3|' config/autoconf.mk
%{__perl} -pi -e 's|^ENIG_XPCOM_ABI =.*|ENIG_XPCOM_ABI = Linux_%{tbarch}-gcc3|' extensions/enigmail/Makefile

# Compress jars
%{__perl} -pi -e 's|\-0|\-9|g' config/make-jars.pl

%make

#===============================================================================

pushd mozilla/extensions/enigmail

for i in `find . -type f -name Makefile.in`; do
    if [ -f $i.bak ]; then
        cp $i.bak $i
    else
        %{__cp} $i $i.bak
    fi
#    %{__perl} -pi -e 's|^(DEPTH.*= )../|\1|;' $i
done

./makemake -r
%{make} LOCAL_INCLUDES+="-I\$(DEPTH)/mailnews/mime/src -I../build -I../src -I../ipc/src"

(cd lang
 %{__perl} -pi -e 's|es-AR/enigmail.properties|es-ES/enigmail.properties|' jar.mn
 %{make} LOCAL_INCLUDES+="-I\$(DEPTH)/mailnews/mime/src -I../build -I../src -I../ipc/src"
 for i in `cat current-languages.txt`; do
   ./make-lang.sh $i %{enigmail_short_version}
 done
)

%{make} xpi

popd

#===============================================================================

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}{%{_libdir},%{_bindir},%{_datadir}/applications}
%{__mkdir_p} %buildroot%tbdir

%if %mdkversion >= 200810
rm -f extensions/spellcheck/locales/en-US/hunspell/en-US.{dic,aff}
%endif

make install DESTDIR=%{buildroot} -j ${NRPROC:-1}

%if %mdkversion >= 200810
rm -rf %buildroot%tbdir/dictionaries
ln -s /usr/share/dict/mozilla %buildroot%tbdir/dictionaries
%endif

## Compatibility links for now. #29128
#ln -s %{_libdir}/%{oname}-%{version} \
#	%{buildroot}%{_libdir}/mozilla-thunderbird-%{version}
#ln -s %{_bindir}/%{oname}-config \
#	%{buildroot}%{_bindir}/mozilla-thunderbird-config

%if %{official_branding}
%{__install} -p -D %{buildroot}/%{tbdir}/chrome/icons/default/default256.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%else
%{__install} -p -D %{SOURCE302} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%endif

cat << EOF > %{buildroot}/%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Version=1.0
Name=%{title}
GenericName=Mail/News
Comment=Mail and News Client
Exec=%{name}
Icon=mozilla-thunderbird
Terminal=false
Type=Application
StartupWMClass=Thunderbird-bin
%if %mdkversion >= 200800
Categories=GTK;Network;News;Email;X-MandrivaLinux-CrossDesktop;
%else
Categories=GTK;Network;News;Email;Office;X-MandrivaLinux-CrossDesktop;
%endif
EOF

# set up the thunderbird start script
(cd %{buildroot}%{_bindir} && %{__ln_s} thunderbird %{name})

%{__perl} -pi -e 's|^moz_libdir=.*|moz_libdir=%{tbdir}|' %{buildroot}/%{_bindir}/thunderbird
%{__perl} -pi -e 's|^MRE_HOME=.*|MRE_HOME=%{tbdir}|' %{buildroot}/%{_bindir}/thunderbird

# <mrl> 200800 is safe here.
%if %mdkversion >= 200800
# For backwards compatibility with old profiles. Bug #37528
%{__install} -m 755 %{SOURCE31} %{buildroot}/%{tbdir}/open-browser.sh
# For new profiles
%define COMMAND /usr/bin/xdg-open
%else
%{__install} -m 755 %{SOURCE30} %{buildroot}/%{tbdir}/open-browser.sh
%define COMMAND %{tbdir}/open-browser.sh
%endif

%{__cat} %{SOURCE12} | %{__perl} -p -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g;' \
                                    -e 's,THUNDERBIRD_VENDOR_COMMENT,%{mandriva_release},g;' \
                                    -e 's,COMMAND,%{COMMAND},g' \
  > %{buildroot}/mdv-default-prefs
%{__cp} -a %{buildroot}/mdv-default-prefs %{buildroot}/%{tbdir}/greprefs/all-mandriva.js
%{__cp} -a %{buildroot}/mdv-default-prefs %{buildroot}/%{tbdir}/defaults/pref/all-mandriva.js
%{__rm} -f %{buildroot}/mdv-default-prefs

#===============================================================================

# icons
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
%if %{official_branding}
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,24x24,32x32,48x48,256x256}/apps
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default48.png %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default32.png %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default16.png %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__install} -m 644 %{buildroot}/%{tbdir}/chrome/icons/default/default256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%else
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/{64x64,128x128}/apps
%{__install} -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
# Converting up, but not a big issue now that we have official branding
%{_bindir}/convert %{name}-48.png -resize 128x128 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_bindir}/convert %{name}-48.png -resize 64x64 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%endif

#===============================================================================

#pushd dist
#%{__mkdir_p} %{buildroot}%{_includedir}/%{oname}-%{version}
#%{__cp} -aL include/* %{buildroot}%{_includedir}/%{oname}-%{version}
#%{__mkdir_p} %{buildroot}%{_datadir}/idl/%{oname}-%{version}
#%{__cp} -aL idl/* %{buildroot}%{_datadir}/idl/%{oname}-%{version}
#popd

#pushd dist/sdk
#%{__mkdir_p} %{buildroot}%{_libdir}/%{oname}-%{version}
#%{__cp} -aL bin/* %{buildroot}%{_libdir}/%{oname}-%{version}
#%{__mkdir_p} %{buildroot}%{_includedir}/%{oname}-%{version}
#%{__cp} -aL include/* %{buildroot}%{_includedir}/%{oname}-%{version}
#%{__mkdir_p} %{buildroot}%{_datadir}/idl/%{oname}-%{version}
#%{__cp} -aL idl/* %{buildroot}%{_datadir}/idl/%{oname}-%{version}
#popd

#===============================================================================

%{__mkdir_p} %{buildroot}%{tbextdir}
%if !%{xpi}
%{__mkdir_p} %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{_bindir}/unzip mozilla/dist/bin/enigmail-%{enigmail_short_version}-linux-*.xpi -d %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{__chmod} 644 %{buildroot}%{tbdir}/extensions/%{tbextuuid}/chrome.manifest
%else
%{__cp} -aL mozilla/dist/bin/enigmail-%{enigmail_short_version}-linux-*.xpi %{buildroot}%{tbextdir}
%endif

#==============================================================================
#enigmail lang package
# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}
pushd mozilla/extensions/enigmail/lang
 for lang in %langlist; do
    %{__mkdir_p} %{buildroot}%{tbdir}/extensions/enigmail-$lang@enigmail.mozdev.org
    language="language_$lang"
    language=${!language}
    %{_bindir}/unzip enigmail-${language}-%{enigmail_short_version}.xpi -d %{buildroot}%{tbdir}/extensions/enigmail-$lang@enigmail.mozdev.org/
 done
popd

#===============================================================================

touch %{buildroot}%{tbdir}/chrome/app-chrome.manifest
%{__chmod} 644 %{buildroot}%{tbdir}/chrome/app-chrome.manifest
touch %{buildroot}%{tbdir}/components/compreg.dat
%{__chmod} 644 %{buildroot}%{tbdir}/components/compreg.dat
touch %{buildroot}%{tbdir}/components/xpti.dat
%{__chmod} 644 %{buildroot}%{tbdir}/components/xpti.dat

#===============================================================================

# remove files already packaged as system libs
#%{__chmod} 644 %{buildroot}%{tbdir}/defaults/pref/enigmail.js
#%{__chmod} 644 %{buildroot}%{tbdir}/extensions/*/defaults/pref*/enigmail.js
#%{__perl} -pi -e 's|agentPath",""|agentPath","%{_bindir}/gpg"|' %{buildroot}%{tbdir}/extensions/*/defaults/pref*/enigmail.js

%{__cp} -aL mozilla/dist/bin/nsinstall %{buildroot}%{_bindir}

#===============================================================================

mkdir -p %{buildroot}%{_sysconfdir}
cat << EOF > %{buildroot}/%{_sysconfdir}/thunderbird.cfg
pref("network.protocol-handler.app.http", "/usr/bin/xdg-open");
pref("network.protocol-handler.app.https", "/usr/bin/xdg-open");
pref("network.protocol-handler.app.ftp", "/usr/bin/xdg-open");
EOF
ln -s %{_sysconfdir}/thunderbird.cfg \
	%{buildroot}%{tbdir}/thunderbird.cfg

#==============================================================================

%clean
%{__rm} -rf %{buildroot}

#===============================================================================

%pre
%if %mdkversion >= 200810
if [ $1 == 2 ]; then
  if [ -d %{tbdir}/dictionaries ]; then
    # Otherelse rpm can't switch this into a symlink :(
    rm -rf %{tbdir}/dictionaries
  fi
fi
%endif # 200810

%post
%if %mdkversion > 200600
%{_bindir}/update-desktop-database %{_datadir}/applications
%endif

%create_ghostfile %{tbdir}/chrome/app-chrome.manifest root root 644
%create_ghostfile %{tbdir}/components/compreg.dat root root 644
%create_ghostfile %{tbdir}/components/xpti.dat root root 644

if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"

TMPDIR= TB_TMPDIR=`$mktemp` && {
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%postun
%if %mdkversion > 200600
%{_bindir}/update-desktop-database %{_datadir}/applications
%endif
if [ "$1" = "0" -a -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


#===============================================================================

%post enigmail
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"

TMPDIR= TB_TMPDIR=`$mktemp` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%preun enigmail
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

if [ -x %{tbdir}/thunderbird-bin ]; then 
mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"

  TMPDIR= TB_TMPDIR=`$mktemp` && {
  %if %{xpi}
      HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
  %endif
      HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
      test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
  }
fi

#===============================================================================

%files
%defattr(-,root,root,-)
%doc mozilla/LEGAL
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/*.desktop
%attr(644,root,root) %{_datadir}/pixmaps/%{name}.png
%ghost %{tbdir}/chrome/app-chrome.manifest
%ghost %{tbdir}/components/compreg.dat
%ghost %{tbdir}/components/xpti.dat
%{tbdir}
%if %{xpi}
%dir %{tbextdir}
%endif
%config(noreplace) %{_sysconfdir}/thunderbird.cfg
# Mandriva menu
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
# other icons
%if %{official_branding}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%else
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%endif
# enigmail
%if !%{xpi}
%exclude %{tbdir}/extensions/%{tbextuuid}
%else
%exclude %{tbdir}/enigmail-%{enigmail_version}-linux-*.xpi
%endif
%exclude %{tbdir}/extensions/enigmail-*enigmail.mozdev.org*
# exclude enigmail stuff
#%exclude %{tbdir}/components/enigmail*
#%exclude %{tbdir}/components/enigMsgCompFields.js
#%exclude %{tbdir}/components/enigprefs-service.js
#%exclude %{tbdir}/chrome/enigmail*.jar
#%exclude %{tbdir}/defaults/pref/enigmail.js
#%exclude %{tbdir}/defaults/preferences/enigmail.js
#%exclude %{tbdir}/enigmail*xpi
# enigmime
#%exclude %{tbdir}/components/enigmime.xpt
#%exclude %{tbdir}/components/ipc.xpt
#%exclude %{tbdir}/components/libenigmime.so
#%exclude %{tbdir}/chrome/enigmime.jar
#%exclude %{tbdir}/platform/*/components/*enigmime*

%files enigmail
%defattr(-,root,root)
%if !%{xpi}
%{tbdir}/extensions/%{tbextuuid}
%else
%{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
%endif

%files -n nsinstall
%defattr(-,root,root)
%{_bindir}/nsinstall


%changelog
* Sun Aug 08 2010 Funda Wang <fwang@mandriva.org> 0:3.1.2-0.2mdv2010.1
+ Revision: 567578
- enigmail l10n package wrongly named

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 0:3.1.2-1mdv2011.0
+ Revision: 566528
- new version 3.1.2

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Drop obsoleted patches

* Sat Jul 24 2010 Funda Wang <fwang@mandriva.org> 0:3.1.1-2mdv2011.0
+ Revision: 558124
- fix requires on enigmail-l10n package
- migrate enigmail-l10n package into main package, because enigmail tarball
  contains translations within itself.
- fix enigmail filename
- should use enigmail 1.1.x for tb 3.1

* Wed Jul 21 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.1.1-1mdv2011.0
+ Revision: 556304
- added BR on libiw-devel
- Added BR on libnotify-devel
- Updated to 3.1.1.
  Rediffed patches.

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.5-1mdv2010.1
+ Revision: 549246
- sync with MDVSA-2010:126

* Mon Jun 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-11mdv2010.1
+ Revision: 547978
- fix #59759 (needs tighter requires on libnss3)

* Tue May 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.4-10mdv2010.1
+ Revision: 545978
- Use original icons instead of upscaled (#56566)

* Tue May 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.4-9mdv2010.1
+ Revision: 545946
- Use correct icon (#56566).

* Mon May 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 0:3.0.4-8mdv2010.1
+ Revision: 544933
- add opensuse patch to set a better binary path when using the "make thunderbird the default mailer", similar fix as the firefox one in bug #58784

* Mon May 10 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.4-7mdv2010.1
+ Revision: 544452
- Fix random crashes (Mozilla bug #550455).

* Thu Apr 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-6mdv2010.1
+ Revision: 537854
- disable soundwrapper support as it don't work well on all products

* Thu Apr 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-5mdv2010.1
+ Revision: 537818
- bump release
- bump subrel due to backport release clash in 2010.0

* Thu Apr 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-4mdv2010.1
+ Revision: 537800
- rediffed one silly fuzzy patch

* Wed Apr 21 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-3mdv2010.1
+ Revision: 537689
- bump release
- fix build deps (python)

* Wed Apr 21 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.4-2mdv2010.1
+ Revision: 537654
- fix build
- make it backportable for 2008.0+
- major spring cleansing

  + Funda Wang <fwang@mandriva.org>
    - drop old customized category

* Tue Mar 30 2010 Funda Wang <fwang@mandriva.org> 0:3.0.4-1mdv2010.1
+ Revision: 529877
- finally update cairo patch
- fix old cairo patch
- New version 3.0.4
- drop old fedora patches

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.3-2mdv2010.1
+ Revision: 527397
- rebuilt against nss-3.12.6

* Tue Mar 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.3-1mdv2010.1
+ Revision: 513436
- 3.0.3

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 0:3.0.2-2mdv2010.1
+ Revision: 511372
- update file list
- enigmail 1.0.1

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 0:3.0.2-1mdv2010.1
+ Revision: 511339
- rediff old nspr patch
- rediff debug info patch
- new version 3.0.2

* Fri Jan 22 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.1-2mdv2010.1
+ Revision: 494925
- Build with -O2 optimization flags.

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Disabled Patch330, 331 as code they patch no longer exists
    - Rebuilt Patch332, 333.
    - Added Patch337 for clipboard crash (merged from fedora).
    - Added Patch338 to fix debug info (merged from fedora).
    - Added Patch339 to have cairo 1.8.0 and not 1.8.8 as minimal requirement.
    - Added Patch340 to have nspr 1.7.5 as minimal requirement (incomplete attempt to backport to 2009.0).

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 0:3.0.1-1mdv2010.1
+ Revision: 494419
- New version 3.0.1

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0-7mdv2010.1
+ Revision: 488789
- rebuilt against libjpeg v8

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0-6mdv2010.1
+ Revision: 488673
- P336: security fix for CVE-2009-3560

* Mon Jan 04 2010 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0-5mdv2010.1
+ Revision: 486219
- Properly use system dictionaries (#56824).

* Fri Dec 11 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0-4mdv2010.1
+ Revision: 476460
- Bump release.
- Merged from mozilla-thunderbird3 branch.

* Thu Oct 08 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.0.0.23-3mdv2010.0
+ Revision: 456182
- make sure movemail.rdf ends up in the RPMs, fixes #41614
- adjust compilation flags to fix crash when clicking on a mailto: link (#44439)

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0:2.0.0.23-2mdv2010.0
+ Revision: 422520
- bump release
- disable pragma visibility to make it build...
- P334: security fix related to CVE-2009-2625
- fix deps

  + Funda Wang <fwang@mandriva.org>
    - new version 2.0.0.23

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0:2.0.0.22-4mdv2010.0
+ Revision: 416528
- rebuilt against libjpeg v7

* Mon Aug 03 2009 Colin Guthrie <cguthrie@mandriva.org> 0:2.0.0.22-3mdv2010.0
+ Revision: 408468
- Split run-mozilla.sh patch into two, and do not apply soundwrapper component on 2010.0 due to problems with firefox35+padsp

* Thu Jul 30 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.0.0.22-2mdv2010.0
+ Revision: 404657
- rebuild thunderbird for new enigmail
- update to enigmail 0.96.0, drop separate versions for x86_64 and i586
- drop gcc 4.2 build requires since gcc 4.4 seems to build thunderbird correctly
- drop 1 debian patch that is gone from the debian package
- add patch to fix compilation with gcc 4.4

* Tue Jun 23 2009 Oden Eriksson <oeriksson@mandriva.com> 0:2.0.0.22-1mdv2010.0
+ Revision: 388675
- 2.0.0.22

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 0:2.0.0.21-1mdv2009.1
+ Revision: 357612
- New version 2.0.0.21

* Sat Mar 14 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:2.0.0.19-2mdv2009.1
+ Revision: 354800
- provide enigmail 0.95.6 for x86_64, instead of 0.95.7, that is what
  upstream gives too; this fixes bug #44426
- build using gcc 4.2 in 2009.0 and newer; fixes bug #46107
- automate subrel definition when building for older distros

* Wed Dec 31 2008 Funda Wang <fwang@mandriva.org> 0:2.0.0.19-1mdv2009.1
+ Revision: 321666
- fix str fmt
- patch to enigmail Makefile is not needed any more (merged upstream)
- New version 2.0.0.19
- rediff enigmaiil patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Nov 20 2008 Funda Wang <fwang@mandriva.org> 0:2.0.0.18-1mdv2009.1
+ Revision: 304934
- New version 2.0.0.18

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 0:2.0.0.17-2mdv2009.0
+ Revision: 289466
- New version of enigmail

* Sat Sep 27 2008 Tiago Salem <salem@mandriva.com.br> 0:2.0.0.17-1mdv2009.0
+ Revision: 288844
- version 2.0.0.17

* Sat Aug 09 2008 Tiago Salem <salem@mandriva.com.br> 0:2.0.0.16-2mdv2009.0
+ Revision: 269879
- add patch to fix broken build with nss 3.12
- bump release
- fix conditionals to be able to build for the older distros.

* Thu Jul 24 2008 Tiago Salem <salem@mandriva.com.br> 0:2.0.0.16-1mdv2009.0
+ Revision: 247394
- Version 2.0.0.16 fixes:
  MFSA 2008-34  Remote code execution by overflowing CSS reference counter
  MFSA 2008-33 Crash and remote code execution in block reflow
  MFSA 2008-31 Peer-trusted certs can use alt names to spoof
  MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
  MFSA 2008-26 Buffer length checks in MIME processing
  MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
  MFSA 2008-24 Chrome script loading from fastload file
  MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
- add patches to fix gcc visibility on hunspell and enigmail
- add patch from firefox to fix max_path

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Added Patch329 to fix MOZ#335810.
    - Enable MathML in configure (mozilla-thunderbird-mozconfig).
    - Added hunspell support (Patch330, deb).

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0:2.0.0.14-1mdv2009.0
+ Revision: 200996
- New version 2.0.0.14
- new enigmail version 0.95.6

  + Tiago Salem <salem@mandriva.com.br>
    - do not replace /etc/thunderbird.cfg. (#40347)
    - fix for cs3 build (Suggests, BuildRequires and includedirs)

* Wed Mar 05 2008 Tiago Salem <salem@mandriva.com.br> 0:2.0.0.12-3mdv2008.1
+ Revision: 180131
- Disabled replytolist patches. They are making thunderbird crash.

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Added patch russian_shortcuts: fixes problems with keyboard shortcuts and
      russian locale. Closes: #38241

* Wed Feb 27 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.12-1mdv2008.1
+ Revision: 175817
- New upstrema: 2.0.0.12
- Removed patch bug30657: already applied upstream.

* Mon Feb 25 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-9mdv2008.1
+ Revision: 174797
- Disable dict links for mdkversion >= 200810. We are going to symlink entire
  mozilladir/dictionaries instead. Closes: #21370

* Thu Feb 14 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-8mdv2008.1
+ Revision: 168466
- Fix arch mangling.

* Thu Feb 14 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-7mdv2008.1
+ Revision: 167773
- Do not tweak x86_64 arch name anymore for mdkversion >= 200810, as it causes
  problems with extensions. Closes: #33103

* Mon Feb 11 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-6mdv2008.1
+ Revision: 165151
- Added patch bug30657, fixing stale tmp files at $HOME/tmp. Closes: #30657

* Thu Feb 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-5mdv2008.1
+ Revision: 163448
- Pushes soundwrapper back. RealPlayer still needs it, while Flash and Java can
  live with it without problems, as stated on bug #37400.

* Wed Feb 06 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-4mdv2008.1
+ Revision: 163151
- Do not use soundwrapper anymore. Closes: #37400
- Fix replytolist stuff, as list-replyto-clobber depends on replytolist patch.
- Ship a backward compatible open-browser.sh, which will be used by old
  profiles using newer packages. This wrapper will just call xdg-open. Closes: #37528
- Do not touch open-browser for distros older than 2008.0.
- Added patches cups-paper and postscriptdsc, just like our FF package has
  them.
- Removed replytolist stuff, in favor of list-replyto-clobber previously
  applied.
- Use xdg-open for handling http, https and ftp protocols instead of a private
  script.
- Added patch list-replyto-clobber: adds mailnews.clobber_list_reply pref which
  switches "Reply All" to "Reply List" functionality if set (from OpenSUSE)

* Mon Jan 14 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.9-2mdv2008.1
+ Revision: 151186
- Added suggests to pinentry-gtk to enigmail subpackage. Closes: #36685

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 David Walluck <walluck@mandriva.org> 0:2.0.0.9-1mdv2008.1
+ Revision: 113622
- 2.0.0.9

* Fri Nov 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.6-6mdv2008.1
+ Revision: 111541
- Adds gnome buildreqs and enable support for using gnome-vfs.

* Wed Oct 31 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.6-5mdv2008.1
+ Revision: 104235
- Added patch bug273114 as requested by Florin.
  See https://bugzilla.mozilla.org/show_bug.cgi?id=273114 for details.
- Prepared for replytolist feature. (Off for now, not working yet)

* Fri Sep 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.6-4mdv2008.0
+ Revision: 85755
- Fix .desktop categories for 2008.0. Closes: #33201

  + Frederic Crozat <fcrozat@mandriva.com>
    - Improve patch321

* Fri Aug 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0:2.0.0.6-3mdv2008.0
+ Revision: 77008
- Patch321: fix invalid GTK call with causes crash with GTK+ >= 2.11.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Adds TB to X-MandrivaLinux-CrossDesktop category.

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0:2.0.0.6-2mdv2008.0
+ Revision: 59066
- New version of enigmail 0.95.3

* Thu Aug 02 2007 Funda Wang <fwang@mandriva.org> 0:2.0.0.6-1mdv2008.0
+ Revision: 57989
- New version 2.0.0.6

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0:2.0.0.5-2mdv2008.0
+ Revision: 57306
- fix build on x86_64 by exporting visibility option (bug #32024)

  + David Walluck <walluck@mandriva.org>
    - x86_64 already has -fPIC
    - add -fPIC to CXXFLAGS on x86_64
    - update enigmail to 0.95.2

  + Funda Wang <fwang@mandriva.org>
    - New version

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Added movemail patch, fixing movemail.rdf not being installed.

* Wed Jun 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.4-2mdv2008.0
+ Revision: 41863
- Added patch rss, fixing rss.rdf location. Closes: #31421
- Added patch gmail, fixing gmail.rdf location.
- Added patch g_thread_init, fixing the bug of not calling g_thread_init before
  everything else. May be related with #31282.

* Fri Jun 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.4-1mdv2008.0
+ Revision: 39998
- Removed patch visibility: not needed anymore.
- New upstream: 2.0.0.4
- Updated patch uriloader. Using Vincent Danen one.
- Removed patch gpg-agent: my config was broken, and not the system default
  one, so we can keep the auto-detection as-is.

* Mon Apr 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.0-1mdv2008.0
+ Revision: 17396
- Added patch gpg-agent: avoid auto-detection of gpg-agent, as gpg-agent seems to be run
  automatically but with a strange configuration.
- Commented patch enigmail-no-upgrade, as enigmail seems to not support this anymore.
- Updated enigmail to 0.95.0
- Removed patch enigmail-version: not needed anymore.
- Removed patch dnd-nograb: already applied.
- New upstream: 2.0.0.0


* Mon Mar 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0b2-5mdv2007.1
+ Revision: 142094
- Added support for /etc/thunderbird.cfg
- Integrated with xdg-utils.
- Adds compatibility links due to name change (mozilla-thunderbird ->
  thunderbird). Closes: #29128

* Wed Mar 07 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0b2-5mdv2007.1
+ Revision: 134522
- Added missing BuildRequires for nss-static-devel.
- Rebuild to fix libnss3 issue.

* Thu Feb 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0b2-3mdv2007.1
+ Revision: 121381
- Use only startup script provided by upstream. Closes: #28707
- Dropped startup script adopted from Fedora.
  Upstream one seems better at all.
- Bumped release.
- Change devel group to Development/Other. Closes: #28146

* Wed Feb 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0b2-2mdv2007.1
+ Revision: 120784
- Added patch dnd-nograb. Closes: #28051

* Fri Feb 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0b2-1mdv2007.1
+ Revision: 118428
- More improvements in order to use system's nspr.
- Use system's nspr.
- New upstream: 2.0b2
- Updated enigmail to 0.94.2
- Patched enigmail (patch 306) so it works with TB 2.0b2
- Updated some informations in mozilla-thunderbird.sh.in
- Do not enforce requires on mozilla-nspr and mozilla-nss libraries
- Do not install devel stuff by hand for now: let's use what
  they are installing and see if it works.
- New tarball upstream: 2.0b2
- First 2.0 series commit
- Rediffed patches: software-update, check-default-mailer and default-applications
- Added patch x11libs.

* Wed Dec 20 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:1.5.0.9-1mdv2007.1
+ Revision: 100459
- New upstream 1.5.0.9 with security fixes.

* Thu Nov 09 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.8-1mdv2007.1
+ Revision: 79538
-Release 1.5.0.8 (security update)
-bunzip patches
-upgrade enigmail to 0.94.1
- Import mozilla-thunderbird

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.7-1mdv2007.0
- Release 1.5.0.7 (security update)
- remove patch305, merged upstream

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.5-3mdv2007.0
- allow build for 2006 and corp3 (Vincent Danen)
 - fix the %%post scripts wrt mktemp because corp3 has an older mktemp
 - have to do some fiddling to get the right mkrel tag for corp3 and use
   %%build_for_corp3 to make it build properly
 - only do the xdg stuff for %%mkdversion > 200600
 - this should build for all supported distros so we need the tags

* Sat Aug 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.5-2mdv2007.0
- Fix xdg tag
- fix enigmail postun script

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.5-1mdv2007.0
- 1.5.0.5
- quiet all %%setup macros

* Sun Jul 09 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5.0.4-5
- add BuildRequires: libxt-devel

* Mon Jun 19 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-4mdv2007.0
- add symlink: thunderbird -> mozilla-thunderbird

* Sun Jun 18 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-3mdv2007.0
- use BuildRequires: xft2-devel instead of BuildRequires: libxft2-devel

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.4-2mdv2007.0
- Remove source20, inline .desktop file into specfile and fix it and migrate
  to new XDG
- fix buildrequires for Mdk 2006

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-1mdv2007.0
- 1.5.0.4

* Sun Apr 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5.0.2-2mdk
- fix directory level for patch2

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.2-1mdk
- 1.5.0.2
- nable inspector, pref, and typeaheadfind extensions

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-11mdk
- Add calls to gtk-update-icon-cache, all packages adding icons
  into theme icon directory must run it at post/postun

* Mon Apr 10 2006 David Walluck <walluck@mandriva.org> 0:1.5-10mdk
- add 64x64 and 128x128 icons (bug #21916)

* Thu Apr 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-9mdk
- Enable official branding

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 0:1.5-8mdk
- version nspr and nss BuildRequires
- add versioned nspr and nss Requires

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-7mdk
- fix freetype buildrequires
- Update source12, remove patch303, follow system locale

* Wed Feb 15 2006 David Walluck <walluck@mandriva.org> 0:1.5-6mdk
- fix duplicate file ownership for enigmail
- fix file perms on enigmail chrome.manifest

* Fri Feb 10 2006 David Walluck <walluck@mandriva.org> 0:1.5-5mdk
- package enigmail as an xpi

* Thu Feb 09 2006 David Walluck <walluck@mandriva.org> 0:1.5-4mdk
- fix error in run-mozilla.sh

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:1.5-3mdk
- move soundwrapper call to run-mozilla.sh
- fix unofficial icons

* Wed Feb 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5-2mdk
- add BuildRequires: desktop-file-utils

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:1.5-1mdk
- 1.5
- add back devel package
- merge enigmail and enigmime packages

* Wed Dec 21 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.7-4mdk
- fix build on 10.2 (club request)

* Sun Oct 16 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.0.7-3mdk
- fix version in nss-devel build dependency

* Fri Oct 14 2005 Frederic Crozat <fcrozat@mandriva.com> 0:1.0.7-2mdk
- Don't package i18n pack which are already in separate packages (anne)
- Don't package empty directories
- clean up prereq dependencies
- prevent failing when uninstall packages 
- force HOME value in rebuild-database script

* Sat Oct 08 2005 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdk
- 1.0.7
- enigmail 0.93.0
- sync patches
- remove old build date

* Sat Sep 17 2005 David Walluck <walluck@mandriva.org> 0:1.0.6-7mdk
- enable xprint (#18412)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-6mdk
- Patch114 (CVS): fix idn crash

* Tue Sep 06 2005 David Walluck <walluck@mandriva.org> 1.0.6-5mdk
- be sure to register enigmail extension (bug #14809)
- remove enigmail seamonkey skin and add enigmail tbird skin
- disable enigmail upgrade hotkey
- set PREF_JS_EXPORTS=prefs/enigmail.js in enigmail Makefile
- add post/preun scripts for enigmime.jar
- add other enigmail langs besides en-US

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:1.0.6-4mdk
- try to avoid conflicts with mozilla libraries
- remove lang directories as to not conflict with standalone rpms

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-3mdk
- Update patch6 (pango is now used by default)
- Update source8 (no longer remove cache at startup, change pango variable)
- Update patch36 to remove last reference to pango-xft

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-2mdk
- Add patches from Firefox package :
 - Patch33: fix clipped text rendering with Pango 
 - Patch34: fix cursor positionning in textarea 
 - Patch35: fix bidi justification with pango 
 - Patch36: fix last Xft references 
 - Patch37: fix pango underline displayed as overstrike in CJK
 - Patch107: fix position of IM candidate window
 - Patch108: properly link with gfxshared
 - Patch109: fix warning with latest GTK
 - Patch110: file chooser is now modal
 - Patch111: fix crash with latest GTK
 - Patch112: add support for freedesktop mime-info
 - Patch113: fix bad aliasing with gcc4 on x86-64 (Moz bug #293307) (CVS)

* Thu Jul 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6
- drop p8,p104,p105,p107,p108 (integrated upstream)
- enigmail 0.92.0, ipc 1.1.3
- fix conditional %%mkrel definition

* Sat Apr 23 2005 David Walluck <walluck@mandriva.org> 0:1.0.2-3mdk
- merge patches from Fedora
- remove devel package
- fix gpg path

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Patch8 (CVS): fix JS vulnerability (Moz bug #288688)
- Patch9 (Fedora) : add env variable to disable GNOME url handler 
- Update source5 to set HOME is not set

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2 (security fix)

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-9mdk
- Patch5: fix compilation with system nspr
- Patch6: quiet extension manager (Firefox package)
- Patch7: fix extension manager (Firefox package)
- Change build directory to allow parallel build with other moz products
- build against libnspr4/libnss3 from firefox
- Remove alternative on mozilla-config

* Mon Mar 14 2005 David Walluck <walluck@mandrake.org> 0:1.0-8mdk
- lang patch from Yuri Bugelli <yuri.bugelli@virgilio.it>

* Tue Feb 15 2005 Couriousous <couriousous@mandrake.org> 0:1.0-7mdk
- Fix dictionary detection ( don't take hyph )

* Mon Feb 14 2005 David Walluck <walluck@mandrake.org> 0:1.0-6mdk
- enigmail 0.90.0
- %%multiarch
- "fix" requires-on-release
- Requires: myspell-dictionary
- %%mkrel (thanks Buchan Milne)
- add patch for locale detection (thanks Couriousous)
- add patch for mozilla dictionary (thanks Couriousous)
- add patch for automatic locale detection (thanks Couriousous)

* Thu Dec 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-5mdk
- fix bug 12686, thanks to mightor

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- don't try to register as default mail client on startup

* Thu Dec 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- add missing file
- fix enigmail installation

* Tue Dec 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- fix build on 10.1
- distro-specific release tag

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- update enigmail
- new version

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc.2mdk
- fix post script

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc.1mdk
- upgrade enigmail
- remove soundwrapper
- fix post script (from firefox package)
- new version

* Fri Nov 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- update ipc
- add gpg signature
- fix source URL
- New release 0.9

* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- drop xvfb hack, call thunderbird-bin -register instead
- upgrade enigmail to 0.86.1

* Thu Sep 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update release notes
- update enimail

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix URL
- fix binary name

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- fix installation
- fix URL
- New release 0.8

* Sat Aug 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.3-2mdk
- enigmail 0.85.0
- merge fixes from Club (Thu Jul 01 2004 0.7.1-0.100.1mdk)
 - enigmail 0.84.2, ipc 1.0.7
 - fix scripts to not remove entries just added, and not use scripts we just
   uninstalled (preuninstead of postun).

* Fri Aug 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- increase sleep time in the postinstall script
- New release 0.7.3

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use hacks from the fedora package to run mozilla-thunderbird as root first
- New release 0.7.2

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- compress source 6
- reenable libtoolize on Cooker
- fix 10.0 build
- New release 0.7.1

* Tue Jun 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- dropped patch0, fixed upstream (Sebastian Dransfeld <sebastian.dransfeld@ntnu.no>)

* Sat Jun 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk 
- new version
- --enable-single-profile

* Sun Jun 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-2mdk
- BuildRequires autoconf2.1

* Fri May 21 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-1mdk
- 0.6
- rediff patch0
- some cleaning, some more should be done

